Jump to content
killswitch

CBA: Community Base Addons for A2, OA and CO

Recommended Posts

I have the same problem, if you find out the solution, please post in this thread.

Yea I still launch with ;@CBA;@CBA_A2;@CBA_OA; and everything works.. I just dont use @CBA_CO, and everything works fine!

If you use sixupdater all you have to do is make yourself a short cut on your desktop and edit the shortcut, remove @CBA_CO and add the others back in..

Share this post


Link to post
Share on other sites

Yea i deleted @CBA_CO, saw your comment you posted few days ago, thx. Though i hope they fix this.

EDIT: just wanted to say thanks, everything works fine with latest version.

Edited by Gwynbleidd

Share this post


Link to post
Share on other sites

What CBA Version do i need to run when I run my Arma 2 Server without the beta?

Got errors

=====================================================================
== c:\gameservers\s258134\Arma_2_CO\Expansion\beta\arma2oaserver.exe
== "c:/gameservers/s258134/Arma_2_CO/Expansion\beta\arma2oaserver.exe" -mod=EXPANSION\beta;EXPANSION\beta\Expansion;EXPANSION;custom_mods\@ACE;custom_mods\@ACEX;custom_mods\@ACEX_SM;custom_mods\@ACRE;custom_mods\@JayArmA2Lib;custom_mods\@CBA;custom_mods\@CBA_OA;custom_mods\@CBA_A2;custom_mods\@CBA_CO;  -ip=85.114.153.150 -port=10200 -profiles=config -config=config\server.cfg -cfg=config\arma2.cfg -cpuCount=1 -exThreads=1 -noSound  
=====================================================================
Exe timestamp: 2012/11/19 21:26:36
Current time:  2013/02/10 13:12:46

Version 1.62.99153
Warning Message: Addon 'cba_xeh_oa' requires addon 'CA_CommunityConfigurationProject_E'


=====================================================================
== c:\gameservers\s258134\Arma_2_CO\Expansion\beta\arma2oaserver.exe
== "c:/gameservers/s258134/Arma_2_CO/Expansion\beta\arma2oaserver.exe" -mod=EXPANSION\beta;EXPANSION\beta\Expansion;EXPANSION;eintragen  -ip=85.114.153.150 -port=10200 -profiles=config -config=config\server.cfg -cfg=config\arma2.cfg -cpuCount=1 -exThreads=1 -noSound  
=====================================================================
Exe timestamp: 2012/11/19 21:26:36
Current time:  2013/02/10 13:17:37

Version 1.62.99153
2013/02/10, 13:17:37 NAT Negotiation completed
2013/02/10, 13:17:38 ca\missions\MPScenarios\MP_Deathmatch.chernarus: string @str_mpdeathmatch_subname cannot be localized client-side - move to global stringtable


=====================================================================
== c:\gameservers\s258134\Arma_2_CO\Expansion\beta\arma2oaserver.exe
== "c:/gameservers/s258134/Arma_2_CO/Expansion\beta\arma2oaserver.exe" -mod=EXPANSION\beta;EXPANSION\beta\Expansion;EXPANSION;custom_mods\@ACE;custom_mods\@ACEX;custom_mods\@ACEX_SM;custom_mods\@ACRE;custom_mods\@JayArmA2Lib;custom_mods\@CBA;custom_mods\@CBA_OA;custom_mods\@CBA_A2;  -ip=85.114.153.150 -port=10200 -profiles=config -config=config\server.cfg -cfg=config\arma2.cfg -cpuCount=1 -exThreads=1 -noSound  
=====================================================================
Exe timestamp: 2012/11/19 21:26:36
Current time:  2013/02/10 13:49:46

Version 1.62.99153
Updating base class RscIGUIListBox->RscListBox, by x\cba\addons\ui_helper\config.bin/RscDisplayMultiplayer/Controls/CA_ValueSessions/
2013/02/10, 13:51:24 NAT Negotiation completed


=====================================================================
== c:\gameservers\s258134\Arma_2_CO\Expansion\beta\arma2oaserver.exe
== "c:/gameservers/s258134/Arma_2_CO/Expansion\beta\arma2oaserver.exe" -mod=EXPANSION\beta;EXPANSION\beta\Expansion;EXPANSION;custom_mods\@ACE;custom_mods\@ACEX;custom_mods\@ACEX_SM;custom_mods\@ACRE;custom_mods\@JayArmA2Lib;custom_mods\@CBA;custom_mods\@CBA_OA;custom_mods\@CBA_A2;  -ip=85.114.153.150 -port=10200 -profiles=config -config=config\server.cfg -cfg=config\arma2.cfg -cpuCount=1 -exThreads=1 -noSound  
=====================================================================
Exe timestamp: 2012/11/19 21:26:36
Current time:  2013/02/10 13:53:43

Version 1.62.99153
Updating base class RscIGUIListBox->RscListBox, by x\cba\addons\ui_helper\config.bin/RscDisplayMultiplayer/Controls/CA_ValueSessions/

Share this post


Link to post
Share on other sites

How about this?

Version 1.62.101747

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Cannot evaluate 'ReadAndWrite' - no file

Warning Message: Addon 'cba_xeh_oa' requires addon 'CA_CommunityConfigurationProject_E'

Running a new enough beta...cant get the server online...

Just to clarify...only need @CBA_CO in the command line for both clients and sever now?

Still getting the error after the update...maybe 101747 beta isn't happy with us?

Edited by XMDM

Share this post


Link to post
Share on other sites

The warning message should be because you didn't load expansion\beta;expansion\beta\expansion in the -mod= line.

Those cannot evaluate messages are from other broken addons.

Share this post


Link to post
Share on other sites
A fixed build is available for CBA_CO, fixing issues with some eventhandlers: http://www.multiupload.nl/OZFNC2G82C

Also available on Play withSIX and SIX Updater.

Thanks to Xeno for the fix.

First post updated with links to the fixed CBA_CO, called "1.0.1 pre2".

Share this post


Link to post
Share on other sites
Just dled the beta, updated CBA through six updater. Updated Arma2 launcher with the proper launch params.

I have steam CO.

get this error message:

"Include file x\cba\addons\main\script_eventhandlers.hpp not found"

startup parmas look like this:

"-mod=C:\Steam\steamapps\common\Arma 2;Expansion;ca;Expansion\beta;Expansion\beta\Expansion;@cba_oa;@ace;@acex;@acex_ru;@acex_usnavy;@islands;@jsrs_ace;@lea;@bink;@sbe_ocp;@rh_weapons;@jsrs 1.5;@asr_config;@asr_configs_lingor" "-name=SickSidewinder9" -nosplash -world=empty

Yes, I deactivated other mods to test this. Only thing that made the game launch was no mods.

I only dl'd this hoping ace would get an update because the backpack packing in vehicle system is broken and vehicles eat your packs.

Now that the game fails to launch, I'm about to just switch back. What's up? Is it because i'm not using Steam?

---------- Post added at 17:08 ---------- Previous post was at 17:07 ----------

If i uncheck other addons and only leave ace, ace_x, etc, I get something about script_macros, but still get a similar error with fail to start.

---------- Post added at 17:23 ---------- Previous post was at 17:08 ----------

Starting just ace (and without jsrs) from Six Updater seems to work. The difference I saw is that "ca" wasn't in the mod param. So I made a shortcut and took "ca" out and it still didn't work. What's going on here?

---------- Post added at 17:32 ---------- Previous post was at 17:23 ----------

"c:\steam\steamapps\common\arma 2 operation arrowhead\expansion\beta\arma2oa.exe" -nosplash -skipintro "-name=SickSidewinder9" "-mod=C:\Steam\steamapps\common\Arma 2;expansion;expansion\beta;expansion\beta\expansion;@CBA_CO;@ACE;@ACEX;@ACEX_RU;@ACEX_USNavy;@jsrs 1.5;@jsrs_ace;@islands;@lea;@bink;@sbe_ocp;@rh_weapons;@asr_config;@asr_configs_lingor"

with that command line in a batch file at first created by Six then edited by me, it launches fine. What's going on here?

Your shortcut has CBA_OA, the one six added is CBA_CO, which is the correct one

Share this post


Link to post
Share on other sites

I keep getting the Addon 'ca_xeh_oa' requireds addon 'CA_CommunityConfigurationProject_E' anytime I try to start the game. Then I can't load saved missions because i get a message that I am missing the 'CA_CommunityConfigurationProject_E' content. Help!

Share this post


Link to post
Share on other sites

Hey sausage king!!

you need to lauch the expansion/beta/expansion.. the CCP is in the Expansion/beta/expansion folder...

Share this post


Link to post
Share on other sites

I'm having a problem. When I try to run CBA, I get the following error:

Addon 'cba_xeh_oa' requieres addon 'CA_CommunityConfigurationProject_E'

this is my shortcut (i have the retail version of the game):

"C:\Program Files\ArmA 2\arma2oa.exe" -cpuCount=8 -nosplash -mod=@DayZ;@rMod;@JSRS

I have manually overwritten the original exe with the beta, so that shouldn't be the problem.

Share this post


Link to post
Share on other sites

@CBA_CO only works with betas newer than 100697 and with the beta game content in Expansion/beta loaded by way of

-beta=Expansion\beta;Expansion\beta\Expansion

Share this post


Link to post
Share on other sites
@CBA_CO only works with betas newer than 100697 and with the beta game content in Expansion/beta loaded by way of

-beta=Expansion\beta;Expansion\beta\Expansion

I am doing that, still getting the Addon 'cba_xeh_oa' requieres addon 'CA_CommunityConfigurationProject_E' error.

The exe path for the server launch is: c:\Program Files\Steam\steamapps\common\arma 2 operation arrowhead\Expansion\beta\arma2oaserver.exe -beta=e:\Expansion\beta;e:\Expansion\beta\Expansion

Still getting the error. Any ideas?

Share this post


Link to post
Share on other sites
I am doing that, still getting the Addon 'cba_xeh_oa' requieres addon 'CA_CommunityConfigurationProject_E' error.

The exe path for the server launch is: c:\Program Files\Steam\steamapps\common\arma 2 operation arrowhead\Expansion\beta\arma2oaserver.exe -beta=e:\Expansion\beta;e:\Expansion\beta\Expansion

Still getting the error. Any ideas?

No ideas left. I'm not able to reproduce the problem using the latest beta (102209), even if I load the beta mod folders from a non-standard location like you do. Why do you do that anyways? Why load Expansion\beta from the E: drive instead of the Steam Arma II OA installation folder?

(I don't have a Steam ArmA II installation so I cannot exactly replicate your setup)

Edited by Killswitch

Share this post


Link to post
Share on other sites

hey

I wanted to try hthe JSRS soundmod which requires CBA

everytime I wanna join a server I get this error message:

[..some CBA files listed, I'm not allowed to post a pic or link so I have to write it down]

"... are not signed by a key accpeted by this server. To play on this server, remove listed files or install additional accpeted keys."

CBA_CO is up2date and I put the keys cba.bikey and cba_b196.bikey in the keys folder

CBA is workin with i44 idk how to solve this problem

can u help me?

Share this post


Link to post
Share on other sites

The keys are for the server, not your client.

So the server needs to have the keys in the \keys folder (and also be restarted).

Share this post


Link to post
Share on other sites
No ideas left. I'm not able to reproduce the problem using the latest beta (102209), even if I load the beta mod folders from a non-standard location like you do. Why do you do that anyways? Why load Expansion\beta from the E: drive instead of the Steam Arma II OA installation folder?

(I don't have a Steam ArmA II installation so I cannot exactly replicate your setup)

I'm getting the same error with a steam account.

My launch parameters:

-cpuCount=4 -maxMem=2047 -skipIntro -nosplash -noPause "-mod=@CBA_OA;@JSRS;Expansion;

or

-cpuCount=4 -maxMem=2047 -skipIntro -nosplash -noPause "-mod=@CBA_OA;@JSRS;"

as soon as I join a server get a CTD.

Share this post


Link to post
Share on other sites

See the included readme.txt for the actual required mod startup parameters for the release you're using.

Share this post


Link to post
Share on other sites
The keys are for the server, not your client.

So the server needs to have the keys in the \keys folder (and also be restarted).

There is ppl on the server playing with JSRS and I get this error on every server I try to join

Share this post


Link to post
Share on other sites

Hi all can I clear some thing up please

I run A2 and OA so basically combined ops what CBA do I need to run

In six updater @CBA says incompatible but @CBA_CO is up to date?

Please advise

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×